## org.apache.cassandra.dht
Class BootStrapper.BootstrapTokenVerbHandler

    java.lang.Object
      org.apache.cassandra.dht.BootStrapper.BootstrapTokenVerbHandler

All Implemented Interfaces:
  IVerbHandler

Enclosing class:
  BootStrapper

    public static class BootStrapper.BootstrapTokenVerbHandler

extends java.lang.Object
implements IVerbHandler

Constructor Summary
`BootStrapper.BootstrapTokenVerbHandler()`

Method Summary
`void` `doVerb(Message message, java.lang.String id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootStrapper.BootstrapTokenVerbHandler

    public BootStrapper.BootstrapTokenVerbHandler()

Method Detail

### doVerb

    public void doVerb(Message message,
                       java.lang.String id)

  Description copied from interface: `IVerbHandler`
  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

Copyright © 2013 The Apache Software Foundation